osgUtil::IncrementalCompileOperation::CompileInfo Struct Reference

`#include <IncrementalCompileOperation>`

Inheritance diagram for osgUtil::IncrementalCompileOperation::CompileInfo:

## Public Member Functions

| CompileInfo (osg::GraphicsContext *context, IncrementalCompileOperation *ico)
bool | okToCompile (double estimatedTimeForCompile=0.0) const
Public Member Functions inherited from osg::RenderInfo
| RenderInfo ()
| RenderInfo (const RenderInfo &rhs)
| RenderInfo (State *state, View *view)
RenderInfo & | operator= (const RenderInfo &rhs)
unsigned int | getContextID () const
void | setState (State *state)
State * | getState ()
const State * | getState () const
void | setView (View *view)
View * | getView ()
const View * | getView () const
void | pushCamera (Camera *camera)
void | popCamera ()
CameraStack & | getCameraStack ()
Camera * | getCurrentCamera ()
void | pushRenderBin (osgUtil::RenderBin *bin)
void | popRenderBin ()
RenderBinStack & | getRenderBinStack ()
void | setUserData (Referenced *userData)
Referenced * | getUserData ()
const Referenced * | getUserData () const

## Public Attributes

IncrementalCompileOperation * | incrementalCompileOperation
bool | compileAll
unsigned int | maxNumObjectsToCompile
double | allocatedTime
osg::ElapsedTime | timer

## Additional Inherited Members

Public Types inherited from osg::RenderInfo
typedef std::vector< Camera * > | CameraStack
typedef std::vector< osgUtil::RenderBin * > | RenderBinStack
Protected Attributes inherited from osg::RenderInfo
ref_ptr< State > | _state
View * | _view
CameraStack | _cameraStack
RenderBinStack | _renderBinStack
ref_ptr< Referenced > | _userData

## Constructor & Destructor Documentation

## CompileInfo()

osgUtil::IncrementalCompileOperation::CompileInfo::CompileInfo | ( | osg::GraphicsContext * | context,
|  | IncrementalCompileOperation * | ico )

References osgUtil::IncrementalCompileOperation::IncrementalCompileOperation().

## Member Function Documentation

## okToCompile()

bool osgUtil::IncrementalCompileOperation::CompileInfo::okToCompile | ( | double | estimatedTimeForCompile = 0.0 | ) | const

inline

References allocatedTime, compileAll, maxNumObjectsToCompile, and timer.

## Member Data Documentation

## allocatedTime

double osgUtil::IncrementalCompileOperation::CompileInfo::allocatedTime

Referenced by okToCompile().

## compileAll

bool osgUtil::IncrementalCompileOperation::CompileInfo::compileAll

Referenced by okToCompile().

## incrementalCompileOperation

IncrementalCompileOperation* osgUtil::IncrementalCompileOperation::CompileInfo::incrementalCompileOperation

## maxNumObjectsToCompile

unsigned int osgUtil::IncrementalCompileOperation::CompileInfo::maxNumObjectsToCompile

Referenced by okToCompile().

## timer

osg::ElapsedTime osgUtil::IncrementalCompileOperation::CompileInfo::timer

Referenced by okToCompile().

The documentation for this struct was generated from the following file:

- IncrementalCompileOperation